import request from '@/utils/request'


//用户登录
export function userLogin(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

//获取当前登录用户
export function getCurrentUserInfo(data) {
  return request({
    url: '/user/current',
    method: 'post',
    data
  })
}


//用户登录
export function userLogout(data) {
  return request({
    url: '/user/logout',
    method: 'post',
    data
  })
}

/* 统计 */
export function statistics(data) {
  return request({
    url: 'index/statistics',
    method: 'post',
    data
  })
}


/* ai登录  */
export function pcLoging(data) {
  return request({
    url: '/pcai/pcLoging',
    method: 'post',
    data
  })
}

/* 发送验证码 */
export function pcSMS(data) {
  return request({
    url: '/pcai/pcSMS',
    method: 'post',
    data
  })
}
/* 校验验证码 */

export function codeCheckout(data) {
  return request({
    url: '/pcai/codeCheckout',
    method: 'post',
    data
  })
}

/* 内部链接 */

export function pcInnerAi(data) {
  return request({
    url: '/pcai/pcInnerAi',
    method: 'post',
    data
  })
}

/* 获取文件名 milvus/getMinioURl*/

export function getMinioURl(data) {
  return request({
    url: '/milvus/getMinioURl',
    method: 'post',
    data
  })
}

